ALTER TABLE Tab_DB_Script ADD Fecha_Proc DATETIME
GO

ALTER TABLE Tab_DB_Script ADD Resultado  CHAR(1) 
GO

ALTER TABLE Tab_DB_Script ADD Nota  TEXT
GO


CREATE INDEX IX_TDBS_PorFecha ON Tab_DB_Script (Fecha_Proc)
GO

UPDATE Tab_DB_Script SET Resultado = 'S' WHERE Resultado IS NULL
GO

UPDATE Tab_DB_Script SET Fecha_Proc = SUBSTRING(Archivo,14,8) WHERE Fecha_Proc IS NULL AND Archivo LIKE ('Xsys-Release%')
AND ISDATE(SUBSTRING(Archivo,14,8)) = 1
GO 


